package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyHealthFollowUpPageVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.HealthFollowUpPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.HealthFollowUpSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyHealthFollowUpDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.FollowUpConfigDO;

import java.util.List;

/**
 * 长者健康随访 Service 接口
 *
 * @author 系统管理员
 */
public interface ElderlyHealthFollowUpService {


    PageResult<ElderlyHealthFollowUpPageVO> getHealthFollowUpPage(HealthFollowUpPageReqVO pageReqVO);

    void createHealthFollowUpGrade(List<FollowUpConfigDO> configs);

    void createHealthFollowUp(HealthFollowUpSaveReqVO createReqVO);

    void updateHealthFollowUp(HealthFollowUpSaveReqVO updateReqVO);

    List<ElderlyHealthFollowUpDO> getHealthFollowUpByConditions(HealthFollowUpPageReqVO pageReqVO);

    List<FollowUpConfigDO> getHealthFollowUpGrade(Long tenantId);

    List<ElderlyHealthFollowUpDO> getLastElderlyHealthFollowRecords(Long elderId);

    ElderlyHealthFollowUpDO getElderlyHealthFollowDetail(Long id);

    void updateFollowUpGrade(Long elderId, Long followUpGradeId);
}